Bug 1663037

Summary: Review Request: python-cson - A Coffescript Object Notation (CSON) parser for Python 2 and Python 3
Product: [Fedora] Fedora Reporter: Tom "spot" Callaway <tcallawa>
Component: Package ReviewAssignee: Neal Gompa <ngompa13>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mhroncok, ngompa13, package-review
Target Milestone: ---Flags: ngompa13: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-29 02:54:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1663036    
Bug Blocks:    

Description Tom "spot" Callaway 2019-01-02 19:37:05 UTC
Spec URL: https://spot.fedorapeople.org/python-cson.spec
SRPM URL: https://spot.fedorapeople.org/python-cson-0.7-1.fc29.src.rpm
Description: A python parser for the Coffeescript Object Notation (CSON).
Fedora Account System Username: spot

Comment 1 Neal Gompa 2019-01-02 19:43:26 UTC
Taking this review.

Comment 2 Neal Gompa 2019-01-02 19:46:59 UTC
> Source0:        https://github.com/avakar/pycson/archive/0.7.tar.gz

You should be using a templated URL here, like so: https://github.com/avakar/pycson/archive/%{version}/pycson-%{version}.tar.gz

Comment 3 Tom "spot" Callaway 2019-01-02 19:55:02 UTC
Fixed in -2, good catch.

Spec URL: https://spot.fedorapeople.org/python-cson.spec
SRPM URL: https://spot.fedorapeople.org/python-cson-0.7-2.fc29.src.rpm

Comment 4 Neal Gompa 2019-01-03 00:57:39 UTC
Review notes:

[x] Package is named properly according to Packaging Guidelines
[x] Package builds and installs properly
[x] Package follows Python packaging guidelines
[x] License content is correctly included, documented, and installed

PACKAGE APPROVED

Comment 5 Miro HronĨok 2019-01-03 09:51:16 UTC
Please no new Python 2 packages. This is not supposed to be approved without exception.

Comment 6 Gwyn Ciesla 2019-01-03 15:46:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-cson

Comment 7 Fedora Update System 2019-01-18 21:32:29 UTC
python-speg-0.3-2.git877acdd.fc29 python-cson-0.7-2.fc29 asymptote-2.47-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbfd912f90

Comment 8 Fedora Update System 2019-01-18 21:32:36 UTC
python-speg-0.3-2.git877acdd.fc28 python-cson-0.7-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b848d904a7

Comment 9 Fedora Update System 2019-01-19 01:43:54 UTC
python-cson-0.7-2.fc28, python-speg-0.3-2.git877acdd.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b848d904a7

Comment 10 Fedora Update System 2019-01-19 04:28:57 UTC
asymptote-2.47-2.fc29, python-cson-0.7-2.fc29, python-speg-0.3-2.git877acdd.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbfd912f90

Comment 11 Fedora Update System 2019-01-29 02:54:34 UTC
asymptote-2.47-2.fc29, python-cson-0.7-2.fc29, python-speg-0.3-2.git877acdd.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-01-29 03:00:31 UTC
python-cson-0.7-2.fc28, python-speg-0.3-2.git877acdd.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.